Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IMatrixDiagram

    com.change_vision.jude.api.inf.model.IMatrixDiagram

All Superinterfaces:
  IDiagram, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IDiagram, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IMatrixDiagram

extends IDiagram

Interface for CRUD.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IHeaderCell[]` | `getColumnHeaders()` Get all column HeaderCellPresentations.
`abstract IHeaderCell[]` | `getRowHeaders()` Get all row HeaderCellPresentations.
`abstract IHeaderCell[]` | `getShowColumnHeaders()` Get visible column HeaderCellPresentations.
`abstract IHeaderCell[]` | `getShowRowHeaders()` Get visible row HeaderCellPresentations.
`abstract IValueCell` | `getShowValueCell(int row, int column)` Get visible value cell specified by row and column indices.
`abstract String[]` | `getText()` Deprecated. Get empty array because text cannot be put on the CRUD.
`abstract boolean` | `isColumnShownByGroup()` Check if the column is shown by group.
`abstract boolean` | `isColumnShownTotal()` Check if the column is shown with total column.
`abstract boolean` | `isRowShownByGroup()` Check if the row is shown by group.
`abstract boolean` | `isRowShownTotal()` Check if the row is shown with total row.
`abstract boolean` | `isSetDiagramCellValueAutomatically()` Check if the CRUD sets diagram cell values automatically.
`abstract boolean` | `isShowDFDProcessBoxID()` Check if the row is shown with ProcessBox ID of Data Flow Diagram .
`abstract boolean` | `isShownByPhysical()` Check if the CRUD is shown by physical name.

Methods inherited from class com.change_vision.jude.api.inf.model.IDiagram
`exportImage, getBoundRect, getPresentations, getProperties, getProperty, getText, setProperties, setProperty`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getColumnHeaders

    abstract IHeaderCell[] getColumnHeaders()

  Get all column HeaderCellPresentations.

  Returns:
    All column HeaderCellPresentations.

### getShowColumnHeaders

    abstract IHeaderCell[] getShowColumnHeaders()

  Get visible column HeaderCellPresentations.

  Returns:
    Visible column HeaderCellPresentations.

### getRowHeaders

    abstract IHeaderCell[] getRowHeaders()

  Get all row HeaderCellPresentations.

  Returns:
    All row HeaderCellPresentations.

### getShowRowHeaders

    abstract IHeaderCell[] getShowRowHeaders()

  Get visible row HeaderCellPresentations.

  Returns:
    Visible row HeaderCellPresentations.

### getShowValueCell

    abstract IValueCell getShowValueCell(int row,
                                         int column)

  Get visible value cell specified by row and column indices.

  Parameters:
    `Row` - Index
    `Column` - Index
  Returns:
    Value cell specified by row and column indices.

### isColumnShownByGroup

    abstract boolean isColumnShownByGroup()

  Check if the column is shown by group.

  Returns:
    true the column is shown by group / false the column is not shown by group

### isRowShownByGroup

    abstract boolean isRowShownByGroup()

  Check if the row is shown by group.

  Returns:
    ture the row is shown by group / false the row is not shown by group

### isColumnShownTotal

    abstract boolean isColumnShownTotal()

  Check if the column is shown with total column.

  Returns:
    true the column is shown with total column / false the column is not shown with total column

### isRowShownTotal

    abstract boolean isRowShownTotal()

  Check if the row is shown with total row.

  Returns:
    true the row is shown with total row / false the row is not shown with total row

### isShowDFDProcessBoxID

    abstract boolean isShowDFDProcessBoxID()

  Check if the row is shown with ProcessBox ID of Data Flow Diagram .

  Returns:
    true the row is shown with ProcessBox ID of Data Flow Diagram/ false the row is not shown with ProcessBox ID of Data Flow Diagram

### isShownByPhysical

    abstract boolean isShownByPhysical()

  Check if the CRUD is shown by physical name.

  Returns:
    true the CRUD is shown by physical name / false the CRUD is not shown by physical name

### isSetDiagramCellValueAutomatically

    abstract boolean isSetDiagramCellValueAutomatically()

  Check if the CRUD sets diagram cell values automatically.

  Returns:
    true the CRUD sets diagram cell values automatically / false the CRUD does not set diagram cell values automatically

### getText

    abstract String[] getText()

  Deprecated. Get empty array because text cannot be put on the CRUD.

  Returns:
    Return the empty array if there is none.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD